Zercurity data services
  • Summary
  • Applications (7)
  • Packages (0)
  • Vulnerabilities (2)

linux-tools-4.10.0-38

Hashes
Linux kernel version specific tools for version 4.10.0-38 This package provides the architecture dependant parts for kernel version locked tools (such as perf and x86_energy_perf_policy) for version 4.10.0-38 on 64 bit x86. You probably want to install linux-tools-4.10.0-38-<flavour>.
  • SHA256: cbd109feecc3e12cc36c901e919e189cfc03071cc8254ff13c51845fa110e4f0
  • SHA1: 79c405667d7912c24da46b5a5386b9b66f0c9cb1
  • MD5: 929420130389c60244dec4f5b17f54ed
Information
  • Version: 4.10.0-38.42
  • Filename: linux-tools-4.10.0-38_4.10.0-38.42_amd64.deb
  • Size: 4735
  • Type: DEB
  • Source: linux
  • Architecture: AMD64
  • Owner: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
  • Dependencies: binutils (>= 2.28), binutils (<< 2.29), libaudit1 (>= 1:2.2.1), libc6 (>= 2.14), libdw1 (>= 0.157), libelf1 (>= 0.144), liblzma5 (>= 5.1.1alpha+20120614), libpci3 (>= 1:3.3.1-1), libslang2 (>= 2.2.4), libudev1 (>= 183), libunwind8, zlib1g (>= 1:1.1.4), linux-tools-common

Applications

NameTypeArchSizeRisk
libcpupower.so.4.10.0-38
/usr/lib/libcpupower.so.4.10.0-38
227040
usbip
/usr/lib/linux-tools-4.10.0-38/usbip
675440
turbostat
/usr/lib/linux-tools-4.10.0-38/turbostat
769040
cpupower
/usr/lib/linux-tools-4.10.0-38/cpupower
752240
perf
/usr/lib/linux-tools-4.10.0-38/perf
42916400
usbipd
/usr/lib/linux-tools-4.10.0-38/usbipd
554400
x86_energy_perf_policy
/usr/lib/linux-tools-4.10.0-38/x86_energy_perf_policy
101200

Vulnerabilities

NameRiskSourceFixed
CVE-2017-1218878USN
USN-3484-3
CVE-2017-1218878USN
linux-libc-dev
4.10.0-40.44

Raw Object

{
  "sha256": "cbd109feecc3e12cc36c901e919e189cfc03071cc8254ff13c51845fa110e4f0",
  "sha1": "79c405667d7912c24da46b5a5386b9b66f0c9cb1",
  "md5": "929420130389c60244dec4f5b17f54ed",
  "type": "DEB",
  "arch": "AMD64",
  "name": "linux-tools-4.10.0-38",
  "filename": "linux-tools-4.10.0-38_4.10.0-38.42_amd64.deb",
  "size": 4735,
  "description": "Linux kernel version specific tools for version 4.10.0-38\nThis package provides the architecture dependant parts for kernel\nversion locked tools (such as perf and x86_energy_perf_policy) for\nversion 4.10.0-38 on\n64 bit x86.\nYou probably want to install linux-tools-4.10.0-38-<flavour>.",
  "url": null,
  "version": "4.10.0-38.42",
  "source": "linux",
  "owner": "Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>",
  "dependencies": "binutils (>= 2.28), binutils (<< 2.29), libaudit1 (>= 1:2.2.1), libc6 (>= 2.14), libdw1 (>= 0.157), libelf1 (>= 0.144), liblzma5 (>= 5.1.1alpha+20120614), libpci3 (>= 1:3.3.1-1), libslang2 (>= 2.2.4), libudev1 (>= 183), libunwind8, zlib1g (>= 1:1.1.4), linux-tools-common",
  "applications": [
    {
      "path": "/usr/lib/libcpupower.so.4.10.0-38",
      "sha256": "657a855cbb6f9d0ab79aceffb646212a8d34416f9617ffd5b497da2b97cdce77",
      "sha1": "c72ce38fa04e90ad173d3dc67453a22d4c1cff68",
      "md5": "004664a028cc394f192fa5060bb4fa70",
      "name": "libcpupower.so.4.10.0-38",
      "size": 22704,
      "description": null,
      "package": 2119564,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-21T17:09:41+00:00",
      "updated_at": "2021-03-21T17:09:41+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/linux-tools-4.10.0-38/usbip",
      "sha256": "eb21c703f79f0475ab4b9debf05fdd1c2ee1a8d28eec823b04a32504cfbe6c0d",
      "sha1": "ad378d9a09659edbb9fa31391e287569d2d0254f",
      "md5": "9ad43fa981f8257fa62bc62d28fdb8fa",
      "name": "usbip",
      "size": 67544,
      "description": null,
      "package": 2119564,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-21T17:09:41+00:00",
      "updated_at": "2021-03-21T17:09:41+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/linux-tools-4.10.0-38/turbostat",
      "sha256": "c2d2611d054949debb51fc8c83e5295129da087abc89d07f7b6fbaa252494013",
      "sha1": "e1e83e6cbf767ef42ec264afc6113ee6e1b85a33",
      "md5": "66bfcec4def2812d64dd741579a05216",
      "name": "turbostat",
      "size": 76904,
      "description": null,
      "package": 2119564,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-21T17:09:42+00:00",
      "updated_at": "2021-03-21T17:09:42+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/linux-tools-4.10.0-38/cpupower",
      "sha256": "09f4b9fb79df187f4c209498f29b562c61b05b07c1ba7db12c33530ef98ad8ac",
      "sha1": "b9ef2ee45fef9056aaec64115e0ee50e40aeb7fb",
      "md5": "424e524e08be6c5b870fa557705b416e",
      "name": "cpupower",
      "size": 75224,
      "description": null,
      "package": 2119564,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-21T17:09:42+00:00",
      "updated_at": "2021-03-21T17:09:42+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/linux-tools-4.10.0-38/perf",
      "sha256": "f9d73e31c807df1ba544e5e2f90d53ed14d6ba1b34587d359245bfe396c91d71",
      "sha1": "85e6378027b5d14694d54d5154acb4e570e3e6f2",
      "md5": "b44917cc174ac52f4a78864e6c17824b",
      "name": "perf",
      "size": 4291640,
      "description": null,
      "package": 2119564,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-21T17:09:42+00:00",
      "updated_at": "2021-03-21T17:09:42+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/linux-tools-4.10.0-38/usbipd",
      "sha256": "59fa3b5c9cd414cf9756ce895fb6f74ac7cb6a0a9b4723e957c7abdaf0c97d98",
      "sha1": "2cbe898d841c65e7ca23fec2df5a78de9689b0e7",
      "md5": "3fb413d4d9724185c92abdf9701dac9e",
      "name": "usbipd",
      "size": 55440,
      "description": null,
      "package": 2119564,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-21T17:09:42+00:00",
      "updated_at": "2021-03-21T17:09:42+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/linux-tools-4.10.0-38/x86_energy_perf_policy",
      "sha256": "a1fde5179508a97ea6c72561f62cb4cb79256e246a713e669a2272ecd2c7f0ab",
      "sha1": "1c4992116acdbf8abbfff29880a9c785d12e65df",
      "md5": "7001c77386c24a5fcacab770a9b1c854",
      "name": "x86_energy_perf_policy",
      "size": 10120,
      "description": null,
      "package": 2119564,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-21T17:09:42+00:00",
      "updated_at": "2021-03-21T17:09:42+00:00",
      "deleted_at": null
    }
  ],
  "vulnerabilities": [
    {
      "name": "CVE-2017-12188",
      "risk": 78,
      "source": "USN",
      "sid": "USN-3484-3",
      "fixed": null,
      "created_at": "2021-03-22T14:47:45+00:00",
      "updated_at": "2021-03-22T14:47:45+00:00"
    },
    {
      "name": "CVE-2017-12188",
      "risk": 78,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "553cef0d7402120fbcc86f52d6bd34d105e5b7e5214182514ecb907849003547",
        "name": "linux-libc-dev",
        "version": "4.10.0-40.44",
        "filename": "linux-libc-dev_4.10.0-40.44_amd64.deb"
      },
      "created_at": "2021-07-17T12:31:19+00:00",
      "updated_at": "2021-07-17T12:31:19+00:00"
    }
  ],
  "risk": 78,
  "vulnerable": 78,
  "outdated": 0,
  "malicious": 0,
  "created_at": "2017-10-10T17:15:45+00:00",
  "updated_at": "2021-03-21T17:09:41+00:00",
  "deleted_at": null
}